org.red5.server.api.stream

## Interface IAudioStreamCodec

All Known Implementing Classes:
  AACAudio

    public interface IAudioStreamCodec

Represents an Audio codec and its associated decoder configuration.

Author:
  Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`boolean` `addData(org.apache.mina.core.buffer.IoBuffer data)` Update the state of the codec with the passed data.
`boolean` `canHandleData(org.apache.mina.core.buffer.IoBuffer data)` Returns true if the codec knows how to handle the passed stream data.
`org.apache.mina.core.buffer.IoBuffer` `getDecoderConfiguration()` Returns information used to configure the decoder.
`String` `getName()`
`void` `reset()` Reset the codec to its initial state.

### Method Detail

#### getName

    String getName()

Returns:
  the name of the audio codec.

#### reset

    void reset()

Reset the codec to its initial state.

#### canHandleData

    boolean canHandleData(org.apache.mina.core.buffer.IoBuffer data)

Returns true if the codec knows how to handle the passed stream data.

Parameters:
  `data` - some sample data to see if this codec can handle it.
Returns:
  can this code handle the data.

#### addData

    boolean addData(org.apache.mina.core.buffer.IoBuffer data)

Update the state of the codec with the passed data.

Parameters:
  `data` - data to tell the codec we're adding
Returns:
  true for success. false for error.

#### getDecoderConfiguration

    org.apache.mina.core.buffer.IoBuffer getDecoderConfiguration()

Returns information used to configure the decoder.

Returns:
  the data for decoder setup.